## InfGtkBrowserView InfGtkBrowserView |

## Functions

GtkWidget * | inf_gtk_browser_view_new ()
GtkWidget * | inf_gtk_browser_view_new_with_model ()
gboolean | inf_gtk_browser_view_get_selected ()
void | inf_gtk_browser_view_set_selected ()

## Signals

void | activate | Run Last
void | populate-popup | Run Last
void | selection-changed | Run Last

## Types and Values

struct | InfGtkBrowserView
struct | InfGtkBrowserViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── InfGtkBrowserView

## Implemented Interfaces

InfGtkBrowserView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### inf_gtk_browser_view_new ()

    GtkWidget *
    inf_gtk_browser_view_new (void);

Creates a new InfGtkBrowserView.

[constructor]

#### Returns

A new InfGtkBrowserView.

[transfer floating]

### inf_gtk_browser_view_new_with_model ()

    GtkWidget *
    inf_gtk_browser_view_new_with_model (InfGtkBrowserModel *model);

Creates a new InfGtkBrowserView showing `model` .

[constructor]

#### Parameters

model | A InfGtkBrowserModel. |

#### Returns

A new InfGtkBrowserView.

[transfer floating]

### inf_gtk_browser_view_get_selected ()

    gboolean
    inf_gtk_browser_view_get_selected (InfGtkBrowserView *view,
                                       GtkTreeIter *iter);

Sets `iter` to point to the currently selected row in the browser view. If no row is selected, `iter` is left untouched and `FALSE` is returned.

#### Parameters

view | A InfGtkBrowserView. |
iter | An uninitialized GtkTreeIter. | [out]

#### Returns

Whether `iter` was set.

### inf_gtk_browser_view_set_selected ()

    void
    inf_gtk_browser_view_set_selected (InfGtkBrowserView *view,
                                       GtkTreeIter *iter);

Sets the currently selected row to be `iter` . If necessary, rows will be expanded so that `iter` is visible.

#### Parameters

view | A InfGtkBrowserView. |
iter | A GtkTreeIter pointing to a row in `view` . | [transfer none]

## Types and Values

### struct InfGtkBrowserView

    struct InfGtkBrowserView;

### struct InfGtkBrowserViewClass

    struct InfGtkBrowserViewClass {
      GtkTreeViewClass parent_class;

      /* signals */
      void (*activate)(InfGtkBrowserView* view,
                       GtkTreeIter* iter);

      void (*selection_changed)(InfGtkBrowserView* view,
                                GtkTreeIter* iter);

      void (*populate_popup)(InfGtkBrowserView* view,
                             GtkMenu* menu);

    #if ! GTK_CHECK_VERSION(2, 91, 0)
      void (*set_scroll_adjustments)(InfGtkBrowserView* view,
                                     GtkAdjustment* hadjustment,
                                     GtkAdjustment* vadjustment);
    #endif
    };

## Signal Details

### The `“activate”` signal

    void
    user_function (InfGtkBrowserView *infgtkbrowserview,
                   GtkTreeIter       *arg1,
                   gpointer           user_data)

#### Parameters

infgtkbrowserview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“populate-popup”` signal

    void
    user_function (InfGtkBrowserView *infgtkbrowserview,
                   GtkMenu           *arg1,
                   gpointer           user_data)

#### Parameters

infgtkbrowserview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“selection-changed”` signal

    void
    user_function (InfGtkBrowserView *infgtkbrowserview,
                   GtkTreeIter       *arg1,
                   gpointer           user_data)

#### Parameters

infgtkbrowserview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last